%global momorel 5

Summary: An animation/drawing software
Name:    pencil
Version: 0.4.3b
Release: %{momorel}m%{?dist}
Group:   Applications/Multimedia
License: GPLv2
URL:     http://www.les-stooges.org/pascal/pencil/
Source0: http://www.les-stooges.org/pascal/pencil/contents/Download/%{name}-%{version}-src.zip
NoSource: 0
Patch0: %{name}-0.4.4b-makefile.patch
Requires: qt ming
BuildRequires: qt-devel ming-devel
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Pencil is an animation/drawing software for Mac OS X, Windows, and Linux. It lets you create traditional hand-drawn animation (cartoon) using both bitmap and vector graphics. Pencil is free and open source.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p0 -b .unix

%build
qmake-qt4 -unix -o Makefile pencil.pro \
	QMAKE_CFLAGS="%{optflags}" \
	QMAKE_CXXFLAGS="%{optflags}" \
	QMAKE_LFLAGS="-Wl,--as-needed"
%make

%install
rm -rf %{buildroot}
#make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_bindir}
install -m 755 Pencil %{buildroot}%{_bindir}/pencil
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 icons/pencil.png %{buildroot}%{_datadir}/pixmaps

## desktop
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=Pencil
GenericName=Pencil - An animation drawing
Comment=An animation/drawing software
Exec=pencil
Terminal=false
Type=Application
Icon=pencil
EOF
# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
    --add-category Multimedia \
    --add-category Graphics \
    ./%{name}.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.TXT README TODO *.txt
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.3b-5m)
- rebuild against rpm-4.6

* Sun May 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-4m)
- add Icon=pencil to pencil.desktop

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.3b-3m)
- rebuild against qt-4.4.0-1m

* Sat Apr 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-2m)
- import pencil-0.4.4b-makefile.patch from pencil-0.4.4b-5.1.src.rpm
  (to fix build on x86_64)
- http://rpm.pbone.net/

* Sat Apr 26 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.3b-1m)
- import to Momonga
